# Uses of Interface
org.apache.sling.discovery.base.connectors.BaseConfig

Packages that use BaseConfig
Package
Description
org.apache.sling.discovery.base.commons
Provides some common classes for discovery implementors that choose to extend from discovery.base
org.apache.sling.discovery.base.connectors.announcement
Provides topology announcement implementations for discovery implementors that choose to extend from discovery.base
org.apache.sling.discovery.base.connectors.ping
Provides topology connector implementations for discovery implementors that choose to extend from discovery.base

## Uses of BaseConfig in org.apache.sling.discovery.base.commons

Methods in org.apache.sling.discovery.base.commons that return BaseConfig
Modifier and Type
Method
Description
`protected abstract BaseConfig`
BaseViewChecker.`getConnectorConfig()`

## Uses of BaseConfig in org.apache.sling.discovery.base.connectors.announcement

Methods in org.apache.sling.discovery.base.connectors.announcement with parameters of type BaseConfig
Modifier and Type
Method
Description
`static AnnouncementRegistryImpl`
AnnouncementRegistryImpl.`testConstructor(org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory, org.apache.sling.settings.SlingSettingsService slingSettingsService, BaseConfig config)`
`static AnnouncementRegistryImpl`
AnnouncementRegistryImpl.`testConstructorAndActivate(org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory, org.apache.sling.settings.SlingSettingsService slingSettingsService, BaseConfig config)`

## Uses of BaseConfig in org.apache.sling.discovery.base.connectors.ping

Methods in org.apache.sling.discovery.base.connectors.ping with parameters of type BaseConfig
Modifier and Type
Method
Description
`static ConnectorRegistry`
ConnectorRegistryImpl.`testConstructor(AnnouncementRegistry announcementRegistry, BaseConfig config)`
Constructors in org.apache.sling.discovery.base.connectors.ping with parameters of type BaseConfig
Modifier
Constructor
Description
``
`TopologyRequestValidator(BaseConfig config)`
Create a TopologyRequestValidator.